#include <windows.h>
#include <commctrl.h>
#include "tabs.rh"

BOOL CALLBACK TabsDlgProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam) {
	TCITEMA tcitem;
	NMHDR *pNotify;
		
	switch (msg) {
		case WM_INITDIALOG:
			tcitem.mask = TCIF_TEXT;
			tcitem.pszText = "Tab1";
			SendDlgItemMessage(hwnd, IDC_TABCONTROL, TCM_INSERTITEM, 0, (LPARAM)&tcitem); 
			tcitem.pszText = "Tab2";
			SendDlgItemMessage(hwnd, IDC_TABCONTROL, TCM_INSERTITEM, 1, (LPARAM)&tcitem); 
			ShowWindow(GetDlgItem(hwnd, IDC_COMBOBOX), FALSE);
			return TRUE;

		case WM_COMMAND:
			switch (LOWORD(wParam)) {
				case IDOK:
					EndDialog(hwnd, IDOK);
					break;
			}
			return TRUE;

		case WM_NOTIFY:
			switch (wParam) {
				case IDC_TABCONTROL:
					pNotify = (NMHDR*)lParam;
					if (pNotify->code == TCN_SELCHANGE) {
						int iSel = SendMessage(pNotify->hwndFrom, TCM_GETCURSEL, 0, 0);
					    ShowWindow(GetDlgItem(hwnd, IDC_COMBOBOX), iSel == 1 ? TRUE : FALSE);
						ShowWindow(GetDlgItem(hwnd, IDC_BUTTON), iSel == 0 ? TRUE : FALSE);
					}
			}
			return TRUE;
			
		default:
			return FALSE;
	}						
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	INITCOMMONCONTROLSEX icc = { sizeof(INITCOMMONCONTROLSEX), ICC_TAB_CLASSES };

	InitCommonControlsEx(&icc);
	return DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_TABS), NULL, TabsDlgProc);
}
